<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<!-- card to display each subject:
 . with answer buttons on the voting ballot page
 . with selected choice on the summary page
 . with selected choice and verification code on the control page
 -->

<div class="subject">

  <span *ngIf="subject.number === null" class="subject-number"><i class="fas fa-lg fa-missing"></i></span>
  <span *ngIf="subject.number !== null" class="subject-number">{{subject.number}}</span>

  <span class="subject-label" localized-label [localizedLabel]="subject.localizedLabel"></span>

  <div *ngIf="display === 'ballot'" class="ballot">
    <div class="subject-answer-option" *ngFor="let answer of displayableAnswers">
      <label [id]="'label-answer-' + answer.protocolIndex" class="subject-answer"
             [for]="'input-answer-' + answer.protocolIndex">
        <span class="answer-label" localized-label [localizedLabel]="answer.localizedLabel"></span>
        <br/>
        <chvote-checkbox [id]="'answer-' + answer.protocolIndex"
                         [checked]="answer === selectedAnswer"
                         (selected)="toggle(answer)"></chvote-checkbox>
      </label>
    </div>
  </div>

  <div *ngIf="display === 'summary' || display === 'control'" class="summary">
    <span [id]="'summary-answer-' + index"
          localized-label [localizedLabel]="selectedAnswer.localizedLabel"></span>
  </div>
  <div *ngIf="display === 'control'" class="verification-code">
    <span [id]="'verification-code-' + index">{{selectedAnswer.verificationCode}}</span>
  </div>

  <div *ngIf="display === 'summary' || display === 'control'" class="summary-small-device">
    <span localized-label [localizedLabel]="selectedAnswer.localizedLabel"></span>
    <div *ngIf="display === 'control'" class="verification-code-small-device">
      <span>{{selectedAnswer.verificationCode}}</span>
    </div>
  </div>

</div>
<hr *ngIf="displaySeparator"/>
